Skip to content
Guides
API reference
stablesettings:update

Import shipping rates from asset or JSON rows

Imports shipping rates in bulk, from an uploaded file or from rows sent inline.

POST/v1/shipping/rates/import

Imports shipping rates in bulk, from an uploaded file or from rows sent inline.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/shipping/rates/import" \  -H "Content-Type: application/json" \  -d '{}'
{  "processedRows": 0,  "createdCount": 0,  "updatedCount": 0}